<bugID>738952<Summary>"Save as..." File menu entry or Ctrl+S produces unexpected results when having a PDF file opened within PDF Viewer</Summary><Description>User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:14.0) Gecko/20120324 Firefox/14.0a1
Build ID: 20120324031100

Steps to reproduce:

Open a PDF file using new integrated PDF Viewer, then use the "Save as..." Firefox functionnality 


Actual results:

The saved file can not be used (not a pdf file)


Expected results:

The saved file should be the original PDF file = the same that user can get using the Download button from the PDF Viewer dedicated toolbar</Description></bugID>